diff -r 187c638a7c24 django/contrib/gis/db/backend/postgis/creation.py
--- a/django/contrib/gis/db/backend/postgis/creation.py	Wed Aug 06 16:40:00 2008 -0500
+++ b/django/contrib/gis/db/backend/postgis/creation.py	Wed Aug 06 23:38:02 2008 -0400
@@ -1,7 +1,7 @@
 from django.conf import settings
 from django.core.management import call_command
 from django.db import connection
-from django.test.utils import _set_autocommit, TEST_DATABASE_PREFIX
+from django.db.backends.creation import TEST_DATABASE_PREFIX
 import os, re, sys
 
 def getstatusoutput(cmd):
@@ -38,9 +38,9 @@
     create_sql = 'CREATE DATABASE %s' % connection.ops.quote_name(db_name)
     if settings.DATABASE_USER:
         create_sql += ' OWNER %s' % settings.DATABASE_USER
-        
+
     cursor = connection.cursor()
-    _set_autocommit(connection)
+    connection.creation._set_autocommit(connection)
 
     try:
         # Trying to create the database first.
@@ -58,12 +58,12 @@
         else:
             raise Exception('Spatial Database Creation canceled.')
 foo = _create_with_cursor
-    
+
 created_regex = re.compile(r'^createdb: database creation failed: ERROR:  database ".+" already exists')
 def _create_with_shell(db_name, verbosity=1, autoclobber=False):
     """
-    If no spatial database already exists, then using a cursor will not work.  
-     Thus, a `createdb` command will be issued through the shell to bootstrap 
+    If no spatial database already exists, then using a cursor will not work.
+     Thus, a `createdb` command will be issued through the shell to bootstrap
      creation of the spatial database.
     """
 
@@ -83,7 +83,7 @@
                 if verbosity >= 1: print 'Destroying old spatial database...'
                 drop_cmd = 'dropdb %s%s' % (options, db_name)
                 status, output = getstatusoutput(drop_cmd)
-                if status != 0: 
+                if status != 0:
                     raise Exception('Could not drop database %s: %s' % (db_name, output))
                 if verbosity >= 1: print 'Creating new spatial database...'
                 status, output = getstatusoutput(create_cmd)
@@ -102,10 +102,10 @@
         raise Exception('Spatial database creation only supported postgresql_psycopg2 platform.')
 
     # Getting the spatial database name
-    if test: 
+    if test:
         db_name = get_spatial_db(test=True)
         _create_with_cursor(db_name, verbosity=verbosity, autoclobber=autoclobber)
-    else: 
+    else:
         db_name = get_spatial_db()
         _create_with_shell(db_name, verbosity=verbosity, autoclobber=autoclobber)
 
@@ -125,7 +125,7 @@
 
     # Syncing the database
     call_command('syncdb', verbosity=verbosity, interactive=interactive)
-    
+
 def drop_db(db_name=False, test=False):
     """
     Drops the given database (defaults to what is returned from
@@ -151,7 +151,7 @@
 
 def get_spatial_db(test=False):
     """
-    Returns the name of the spatial database.  The 'test' keyword may be set 
+    Returns the name of the spatial database.  The 'test' keyword may be set
      to return the test spatial database name.
     """
     if test:
@@ -167,13 +167,13 @@
 
 def load_postgis_sql(db_name, verbosity=1):
     """
-    This routine loads up the PostGIS SQL files lwpostgis.sql and 
+    This routine loads up the PostGIS SQL files lwpostgis.sql and
      spatial_ref_sys.sql.
     """
 
     # Getting the path to the PostGIS SQL
     try:
-        # POSTGIS_SQL_PATH may be placed in settings to tell GeoDjango where the 
+        # POSTGIS_SQL_PATH may be placed in settings to tell GeoDjango where the
         #  PostGIS SQL files are located.  This is especially useful on Win32
         #  platforms since the output of pg_config looks like "C:/PROGRA~1/..".
         sql_path = settings.POSTGIS_SQL_PATH
@@ -193,7 +193,7 @@
     # Getting the psql command-line options, and command format.
     options = get_cmd_options(db_name)
     cmd_fmt = 'psql %s-f "%%s"' % options
-    
+
     # Now trying to load up the PostGIS functions
     cmd = cmd_fmt % lwpostgis_file
     if verbosity >= 1: print cmd
@@ -211,8 +211,8 @@
     # Setting the permissions because on Windows platforms the owner
     #  of the spatial_ref_sys and geometry_columns tables is always
     #  the postgres user, regardless of how the db is created.
-    if os.name == 'nt': set_permissions(db_name) 
-    
+    if os.name == 'nt': set_permissions(db_name)
+
 def set_permissions(db_name):
     """
     Sets the permissions on the given database to that of the user specified
diff -r 187c638a7c24 django/contrib/gis/management/commands/inspectdb.py
--- a/django/contrib/gis/management/commands/inspectdb.py	Wed Aug 06 16:40:00 2008 -0500
+++ b/django/contrib/gis/management/commands/inspectdb.py	Wed Aug 06 23:38:02 2008 -0400
@@ -7,7 +7,7 @@
 from django.contrib.gis.db.backend import SpatialBackend
 
 class Command(InspectCommand):
-    
+
     # Mapping from lower-case OGC type to the corresponding GeoDjango field.
     geofield_mapping = {'point' : 'PointField',
                         'linestring' : 'LineStringField',
@@ -21,11 +21,11 @@
 
     def geometry_columns(self):
         """
-        Returns a datastructure of metadata information associated with the 
+        Returns a datastructure of metadata information associated with the
         `geometry_columns` (or equivalent) table.
         """
         # The `geo_cols` is a dictionary data structure that holds information
-        # about any geographic columns in the database. 
+        # about any geographic columns in the database.
         geo_cols = {}
         def add_col(table, column, coldata):
             if table in geo_cols:
@@ -47,7 +47,7 @@
         elif SpatialBackend.name == 'mysql':
             # On MySQL have to get all table metadata before hand; this means walking through
             # each table and seeing if any column types are spatial.  Can't detect this with
-            # `cursor.description` (what the introspection module does) because all spatial types 
+            # `cursor.description` (what the introspection module does) because all spatial types
             # have the same integer type (255 for GEOMETRY).
             from django.db import connection
             cursor = connection.cursor()
@@ -67,13 +67,11 @@
 
     def handle_inspection(self):
         "Overloaded from Django's version to handle geographic database tables."
-        from django.db import connection, get_introspection_module
+        from django.db import connection
         import keyword
 
-        introspection_module = get_introspection_module()
+        geo_cols = self.geometry_columns()
 
-        geo_cols = self.geometry_columns()
-       
         table2model = lambda table_name: table_name.title().replace('_', '')
 
         cursor = connection.cursor()
@@ -88,20 +86,20 @@
         yield ''
         yield 'from django.contrib.gis.db import models'
         yield ''
-        for table_name in introspection_module.get_table_list(cursor):
+        for table_name in connection.introspection.get_table_list(cursor):
             # Getting the geographic table dictionary.
             geo_table = geo_cols.get(table_name, {})
 
             yield 'class %s(models.Model):' % table2model(table_name)
             try:
-                relations = introspection_module.get_relations(cursor, table_name)
+                relations = connection.introspection.get_relations(cursor, table_name)
             except NotImplementedError:
                 relations = {}
             try:
-                indexes = introspection_module.get_indexes(cursor, table_name)
+                indexes = connection.introspection.get_indexes(cursor, table_name)
             except NotImplementedError:
                 indexes = {}
-            for i, row in enumerate(introspection_module.get_table_description(cursor, table_name)):
+            for i, row in enumerate(connection.introspection.get_table_description(cursor, table_name)):
                 att_name, iatt_name = row[0].lower(), row[0]
                 comment_notes = [] # Holds Field notes, to be displayed in a Python comment.
                 extra_params = {}  # Holds Field parameters such as 'db_column'.
@@ -133,12 +131,12 @@
                         if srid != 4326: extra_params['srid'] = srid
                     else:
                         try:
-                            field_type = introspection_module.DATA_TYPES_REVERSE[row[1]]
+                            field_type = connection.introspection.data_types_reverse[row[1]]
                         except KeyError:
                             field_type = 'TextField'
                             comment_notes.append('This field type is a guess.')
 
-                    # This is a hook for DATA_TYPES_REVERSE to return a tuple of
+                    # This is a hook for data_types_reverse to return a tuple of
                     # (field_type, extra_params_dict).
                     if type(field_type) is tuple:
                         field_type, new_params = field_type
diff -r 187c638a7c24 django/core/management/commands/dbshell.py
--- a/django/core/management/commands/dbshell.py	Wed Aug 06 16:40:00 2008 -0500
+++ b/django/core/management/commands/dbshell.py	Wed Aug 06 23:38:02 2008 -0400
@@ -6,5 +6,5 @@
     requires_model_validation = False
 
     def handle_noargs(self, **options):
-        from django.db import runshell
-        runshell()
+        from django.db import connection
+        connection.client.runshell()
diff -r 187c638a7c24 django/core/management/commands/inspectdb.py
--- a/django/core/management/commands/inspectdb.py	Wed Aug 06 16:40:00 2008 -0500
+++ b/django/core/management/commands/inspectdb.py	Wed Aug 06 23:38:02 2008 -0400
@@ -13,10 +13,8 @@
             raise CommandError("Database inspection isn't supported for the currently selected database backend.")
 
     def handle_inspection(self):
-        from django.db import connection, get_introspection_module
+        from django.db import connection
         import keyword
-
-        introspection_module = get_introspection_module()
 
         table2model = lambda table_name: table_name.title().replace('_', '')
 
@@ -32,17 +30,17 @@
         yield ''
         yield 'from django.db import models'
         yield ''
-        for table_name in introspection_module.get_table_list(cursor):
+        for table_name in connection.introspection.get_table_list(cursor):
             yield 'class %s(models.Model):' % table2model(table_name)
             try:
-                relations = introspection_module.get_relations(cursor, table_name)
+                relations = connection.introspection.get_relations(cursor, table_name)
             except NotImplementedError:
                 relations = {}
             try:
-                indexes = introspection_module.get_indexes(cursor, table_name)
+                indexes = connection.introspection.get_indexes(cursor, table_name)
             except NotImplementedError:
                 indexes = {}
-            for i, row in enumerate(introspection_module.get_table_description(cursor, table_name)):
+            for i, row in enumerate(connection.introspection.get_table_description(cursor, table_name)):
                 att_name = row[0].lower()
                 comment_notes = [] # Holds Field notes, to be displayed in a Python comment.
                 extra_params = {}  # Holds Field parameters such as 'db_column'.
@@ -65,7 +63,7 @@
                         extra_params['db_column'] = att_name
                 else:
                     try:
-                        field_type = introspection_module.DATA_TYPES_REVERSE[row[1]]
+                        field_type = connection.introspection.data_types_reverse[row[1]]
                     except KeyError:
                         field_type = 'TextField'
                         comment_notes.append('This field type is a guess.')
diff -r 187c638a7c24 django/core/management/commands/syncdb.py
--- a/django/core/management/commands/syncdb.py	Wed Aug 06 16:40:00 2008 -0500
+++ b/django/core/management/commands/syncdb.py	Wed Aug 06 23:38:02 2008 -0400
@@ -21,7 +21,7 @@
     def handle_noargs(self, **options):
         from django.db import connection, transaction, models
         from django.conf import settings
-        from django.core.management.sql import table_names, installed_models, sql_model_create, sql_for_pending_references, many_to_many_sql_for_model, custom_sql_for_model, sql_indexes_for_model, emit_post_sync_signal
+        from django.core.management.sql import table_names, installed_models, custom_sql_for_model, emit_post_sync_signal
 
         verbosity = int(options.get('verbosity', 1))
         interactive = options.get('interactive')
@@ -73,14 +73,14 @@
                     print "Processing %s.%s model" % (app_name, model._meta.object_name)
                 if table_name_converter(model._meta.db_table) in tables:
                     continue
-                sql, references = sql_model_create(model, self.style, seen_models)
+                sql, references = connection.creation.sql_create_model(model, self.style, seen_models)
                 seen_models.add(model)
                 created_models.add(model)
                 for refto, refs in references.items():
                     pending_references.setdefault(refto, []).extend(refs)
                     if refto in seen_models:
-                        sql.extend(sql_for_pending_references(refto, self.style, pending_references))
-                sql.extend(sql_for_pending_references(model, self.style, pending_references))
+                        sql.extend(connection.creation.sql_for_pending_references(refto, self.style, pending_references))
+                sql.extend(connection.creation.sql_for_pending_references(model, self.style, pending_references))
                 if verbosity >= 1:
                     print "Creating table %s" % model._meta.db_table
                 for statement in sql:
@@ -94,7 +94,7 @@
             model_list = models.get_models(app)
             for model in model_list:
                 if model in created_models:
-                    sql = many_to_many_sql_for_model(model, self.style)
+                    sql = connection.creation.many_to_many_sql_for_model(model, self.style)
                     if sql:
                         if verbosity >= 2:
                             print "Creating many-to-many tables for %s.%s model" % (app_name, model._meta.object_name)
@@ -140,7 +140,7 @@
             app_name = app.__name__.split('.')[-2]
             for model in models.get_models(app):
                 if model in created_models:
-                    index_sql = sql_indexes_for_model(model, self.style)
+                    index_sql = connection.creation.sql_indexes_for_model(model, self.style)
                     if index_sql:
                         if verbosity >= 1:
                             print "Installing index for %s.%s model" % (app_name, model._meta.object_name)
diff -r 187c638a7c24 django/core/management/commands/testserver.py
--- a/django/core/management/commands/testserver.py	Wed Aug 06 16:40:00 2008 -0500
+++ b/django/core/management/commands/testserver.py	Wed Aug 06 23:38:02 2008 -0400
@@ -18,13 +18,13 @@
 
     def handle(self, *fixture_labels, **options):
         from django.core.management import call_command
-        from django.test.utils import create_test_db
+        from django.db import connection
 
         verbosity = int(options.get('verbosity', 1))
         addrport = options.get('addrport')
 
         # Create a test database.
-        db_name = create_test_db(verbosity=verbosity)
+        db_name = connection.creation.create_test_db(verbosity=verbosity)
 
         # Import the fixture data into the test database.
         call_command('loaddata', *fixture_labels, **{'verbosity': verbosity})
